[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TMessageDispatcher

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements a class used to dispatch messages originating in a widgetset class to a handler routine in the LCL class instance.

## Declaration

Source position: interfacebase.pp line 186

`type TMessageDispatcher = class`
`public`
`constructor Create();` |  | Constructor for the class instance.
`procedure Dispatch(); override;` |  | Sends the specified message to the handler routine for the dispatcher.
`end;`

## Inheritance

`TMessageDispatcher` |  | Implements a class used to dispatch messages originating in a widgetset class to a handler routine in the LCL class instance.
`TObject`

## Description

Used in the GTK widgetset to implement the AllocateHWnd and DeallocateHWnd methods in the widgetset class.